Summary: A collection of unix daemons which interface with a supported weather station to retrieve archive records (if generated by the station) and current conditions.
Name: wview
Version: 5.21.7
Release: 1%{?dist}
License: GPLv2
Group: Development/Libraries
URL: http://www.wviewweather.com/


Source0: http://dl.sf.net/wview/wview-%{version}.tar.gz
Source101: wview.sysconfig.in
Source102: wview.service.in
Source103: wview.conf
Source104: wview.init.in
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: pkgconfig(gdlib)
BuildRequires: radlib
BuildRequires: radlib-devel
BuildRequires: sqlite-devel
BuildRequires: libcurl-devel
BuildRequires: libusb1-devel
BuildRequires: openssl-devel
BuildRequires: libudev-devel
Requires: sqlite
Requires: libcurl
Requires: httpd
Requires: php

%description
wview is a collection of unix daemons which interface with a supported weather station to retrieve archive records (if generated by the station) and current conditions. The stations currently supported are:

    Davis Vantage Pro/Pro2/Vue (Serial, USB and IP)
    Vaisala WXT510/WXT520
    Texas Weather Instruments (All)
    Oregon Scientific WMR-USB (WMR88/WMR88A/WMR100/WMR100N/WMR200/WMRS200)
    Hideki, Nexus, Mebus, Irox, Honeywell, Cresta TE923, TE923W, TE821W, WXR810, DV928
    Fine Offset WH1080/WH1081, Watson W-8681/WX-2008, National Geographic: 265 NE, Elecsa 6975/6976, Ambient Weather WS-1080/WS-1090/WS-2080, Tycon TP1080WC
    La Crosse WS-2300/WS-2308/WS-2310/WS-2315
    Oregon Scientific WMR918/WMR928NX/WMR968
    Station Simulator
    Virtual Station


wview will generate archive records based on the sensor readings collected for that interval. The archive records are stored in an SQLite3 database. At a configurable interval wview will utilize the archive history and current conditions to generate weather images (buckets, dials and graphs) and HTML web pages based on user-configurable HTML templates. Other types of file generation are supported including PHP, XML, python, etc. to support custom web site designs.

Features:

    24x7x365 reliability.
    Fast image and HTML/XML file generation.
    Non-GUI, headless, lightweight (size and resources).
    Embeddable - can be deployed on low-power embedded systems such as the Linksys NSLU2 or the SheevaPlug.
    Multi-Lingual - HTML/XML templates, labels and text.
    US (Imperial) or Metric Units - can be easily configured for metric or US units of measure.
    SQLite Archive Storage - archive data is stored in an SQLite3 relational database.
    Remote Upload - web pages and images can be transferred to a remote web host server via an ftp or secure ssh process included with wview.
    Alarms - the wview alarm daemon wvalarmd can be enabled to deliver current conditions to TCP socket clients as a near real-time data feed engine. wvalarmd can also be configured to function as a weather data alarm generator to user specified scripts or binaries.
    CWOP - can be configured to submit data to CWOP.
    Wunderground - can be configured to submit data to Wunderground.
    WeatherForYou - can be configured to submit data to WeatherForYou.
    Awekas - can be configured to submit data to Awekas.
    RSS Feeds - processes XML template files and includes a default weather data RSS feed template.


#%package devel
#Summary: Header files, libraries and development documentation for %{name}.
#Group: Development/Libraries
#Requires: %{name} = %{version}-%{release}

#%description devel
#This package contains the header files, static libraries and development
#documentation for %{name}. If you like to develop programs using %{name},
#you will need to install %{name}-devel.

%prep
%setup

cp -a %{SOURCE101} %{SOURCE102} %{SOURCE104} .
for file in wview.init \
            wview.service; do
  sed -e's|@logdir@|%{_logdir}|g' \
      -e's|@rundir@|%{_rundir}|g' \
      -e's|@sysconfigdir@|%{_sysconfigdir}|g' \
      -e's|@initdir@|%{_initdir}|g' \
      -e's|@bindir@|%{_bindir}|g' \
      -e's|@sbindir@|%{_sbindir}|g' \
      -e's|@subsysdir@|%{_subsysdir}|g' \
      -e's|@varlibdir@|%{_varlibdir}|g' \
      -e's|@varcachedir@|%{_varcachedir}|g' \
      -e's|@logrotatedir@|%{_logrotatedir}|g' \
  < $file.in > $file
done
%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

mkdir -p %{buildroot}/etc/httpd/conf.d
cp -a %{SOURCE103} %{buildroot}/etc/httpd/conf.d/wview.conf

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
#%{_bindir}/raddebug
#%{_bindir}/radmrouted
#%{_libdir}/librad.so.*
%{_bindir}/arc_be2le
%{_bindir}/arc_le2be
%{_bindir}/functions.php
%{_bindir}/hilowcreate
%{_bindir}/htmlgend
%{_bindir}/sqlite2wlk
%{_bindir}/vpconfig
%{_bindir}/vpinstall
%{_bindir}/wlk2sqlite
%{_bindir}/wvalarmd
%{_bindir}/wvcwopd
%{_bindir}/wvhttpd
%{_bindir}/wview-mysql-create
%{_bindir}/wview-mysql-export
%{_bindir}/wview-pgsql-create
%{_bindir}/wview-pgsql-export
%{_bindir}/wviewcleardata
%{_bindir}/wviewconfig
%{_bindir}/wviewd_sim
%{_bindir}/wviewd_te923
%{_bindir}/wviewd_twi
%{_bindir}/wviewd_virtual
%{_bindir}/wviewd_vpro
%{_bindir}/wviewd_wh1080
%{_bindir}/wviewd_wmr918
%{_bindir}/wviewd_wmrusb
%{_bindir}/wviewd_ws2300
%{_bindir}/wviewd_wxt510
%{_bindir}/wviewftpd
%{_bindir}/wviewhtmlconfig
%{_bindir}/wviewsshd
%{_bindir}/wvpmond
%{_bindir}/wxt510config

%{_sysconfdir}/wview/*
%{_localstatedir}/wviewmgmt/*
%{_localstatedir}/wview/*
%config(noreplace) /etc/httpd/conf.d/wview.conf
%defattr(-,apache,apache,0775)

%changelog
* Fri Oct 31 2014 Stephen Collier <stephenbcollier@gmail.com> - 5.21.7-1
- Update version to 5.21.7

* Thu Sep 04 2014 Stephen Collier <stephenbcollier@gmail.com> - 5.21.3-1
- Initial package.
